source: squid-ssl/trunk/fuentes/helpers/basic_auth/NIS/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 21 months ago

Initial release

File size: 41.3 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# helpers/basic_auth/NIS/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92TESTS =
93am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = basic_nis_auth$(EXEEXT)
95subdir = helpers/basic_auth/NIS
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_basic_nis_auth_OBJECTS = basic_nis_auth.$(OBJEXT) \
165        nis_support.$(OBJEXT)
166basic_nis_auth_OBJECTS = $(am_basic_nis_auth_OBJECTS)
167#am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170am__DEPENDENCIES_3 =
171basic_nis_auth_DEPENDENCIES = $(top_builddir)/lib/libmiscencoding.la \
172        $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3) \
173        $(am__DEPENDENCIES_3)
174AM_V_lt = $(am__v_lt_$(V))
175am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
176am__v_lt_0 = --silent
177am__v_lt_1 = 
178AM_V_P = $(am__v_P_$(V))
179am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
180am__v_P_0 = false
181am__v_P_1 = :
182AM_V_GEN = $(am__v_GEN_$(V))
183am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
184am__v_GEN_0 = @echo "  GEN     " $@;
185am__v_GEN_1 = 
186AM_V_at = $(am__v_at_$(V))
187am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
188am__v_at_0 = @
189am__v_at_1 = 
190DEFAULT_INCLUDES = 
191depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
192am__depfiles_maybe = depfiles
193am__mv = mv -f
194CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
195        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
196LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
197        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
198        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
199        $(AM_CXXFLAGS) $(CXXFLAGS)
200AM_V_CXX = $(am__v_CXX_$(V))
201am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
202am__v_CXX_0 = @echo "  CXX     " $@;
203am__v_CXX_1 = 
204CXXLD = $(CXX)
205CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
206        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
207        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
208AM_V_CXXLD = $(am__v_CXXLD_$(V))
209am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
210am__v_CXXLD_0 = @echo "  CXXLD   " $@;
211am__v_CXXLD_1 = 
212COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
213        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
214LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
215        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
216        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
217        $(AM_CFLAGS) $(CFLAGS)
218AM_V_CC = $(am__v_CC_$(V))
219am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
220am__v_CC_0 = @echo "  CC      " $@;
221am__v_CC_1 = 
222CCLD = $(CC)
223LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
224        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
225        $(AM_LDFLAGS) $(LDFLAGS) -o $@
226AM_V_CCLD = $(am__v_CCLD_$(V))
227am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
228am__v_CCLD_0 = @echo "  CCLD    " $@;
229am__v_CCLD_1 = 
230SOURCES = $(basic_nis_auth_SOURCES)
231DIST_SOURCES = $(basic_nis_auth_SOURCES)
232am__can_run_installinfo = \
233  case $$AM_UPDATE_INFO_DIR in \
234    n|no|NO) false;; \
235    *) (install-info --version) >/dev/null 2>&1;; \
236  esac
237am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
238# Read a list of newline-separated strings from the standard input,
239# and print each of them once, without duplicates.  Input order is
240# *not* preserved.
241am__uniquify_input = $(AWK) '\
242  BEGIN { nonempty = 0; } \
243  { items[$$0] = 1; nonempty = 1; } \
244  END { if (nonempty) { for (i in items) print i; }; } \
245'
246# Make sure the list of sources is unique.  This is necessary because,
247# e.g., the same source file might be shared among _SOURCES variables
248# for different programs/libraries.
249am__define_uniq_tagged_files = \
250  list='$(am__tagged_files)'; \
251  unique=`for i in $$list; do \
252    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
253  done | $(am__uniquify_input)`
254ETAGS = etags
255CTAGS = ctags
256am__tty_colors_dummy = \
257  mgn= red= grn= lgn= blu= brg= std=; \
258  am__color_tests=no
259am__tty_colors = { \
260  $(am__tty_colors_dummy); \
261  if test "X$(AM_COLOR_TESTS)" = Xno; then \
262    am__color_tests=no; \
263  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
264    am__color_tests=yes; \
265  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
266    am__color_tests=yes; \
267  fi; \
268  if test $$am__color_tests = yes; then \
269    red='[0;31m'; \
270    grn='[0;32m'; \
271    lgn='[1;32m'; \
272    blu='[1;34m'; \
273    mgn='[0;35m'; \
274    brg='[1m'; \
275    std='[m'; \
276  fi; \
277}
278am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
279am__vpath_adj = case $$p in \
280    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
281    *) f=$$p;; \
282  esac;
283am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
284am__install_max = 40
285am__nobase_strip_setup = \
286  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
287am__nobase_strip = \
288  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
289am__nobase_list = $(am__nobase_strip_setup); \
290  for p in $$list; do echo "$$p $$p"; done | \
291  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
292  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
293    if (++n[$$2] == $(am__install_max)) \
294      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
295    END { for (dir in files) print dir, files[dir] }'
296am__base_list = \
297  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
298  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
299am__uninstall_files_from_dir = { \
300  test -z "$$files" \
301    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
302    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
303         $(am__cd) "$$dir" && rm -f $$files; }; \
304  }
305am__recheck_rx = ^[     ]*:recheck:[    ]*
306am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
307am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
308# A command that, given a newline-separated list of test names on the
309# standard input, print the name of the tests that are to be re-run
310# upon "make recheck".
311am__list_recheck_tests = $(AWK) '{ \
312  recheck = 1; \
313  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
314    { \
315      if (rc < 0) \
316        { \
317          if ((getline line2 < ($$0 ".log")) < 0) \
318            recheck = 0; \
319          break; \
320        } \
321      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
322        { \
323          recheck = 0; \
324          break; \
325        } \
326      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
327        { \
328          break; \
329        } \
330    }; \
331  if (recheck) \
332    print $$0; \
333  close ($$0 ".trs"); \
334  close ($$0 ".log"); \
335}'
336# A command that, given a newline-separated list of test names on the
337# standard input, create the global log from their .trs and .log files.
338am__create_global_log = $(AWK) ' \
339function fatal(msg) \
340{ \
341  print "fatal: making $@: " msg | "cat >&2"; \
342  exit 1; \
343} \
344function rst_section(header) \
345{ \
346  print header; \
347  len = length(header); \
348  for (i = 1; i <= len; i = i + 1) \
349    printf "="; \
350  printf "\n\n"; \
351} \
352{ \
353  copy_in_global_log = 1; \
354  global_test_result = "RUN"; \
355  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
356    { \
357      if (rc < 0) \
358         fatal("failed to read from " $$0 ".trs"); \
359      if (line ~ /$(am__global_test_result_rx)/) \
360        { \
361          sub("$(am__global_test_result_rx)", "", line); \
362          sub("[        ]*$$", "", line); \
363          global_test_result = line; \
364        } \
365      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
366        copy_in_global_log = 0; \
367    }; \
368  if (copy_in_global_log) \
369    { \
370      rst_section(global_test_result ": " $$0); \
371      while ((rc = (getline line < ($$0 ".log"))) != 0) \
372      { \
373        if (rc < 0) \
374          fatal("failed to read from " $$0 ".log"); \
375        print line; \
376      }; \
377      printf "\n"; \
378    }; \
379  close ($$0 ".trs"); \
380  close ($$0 ".log"); \
381}'
382# Restructured Text title.
383am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
384# Solaris 10 'make', and several other traditional 'make' implementations,
385# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
386# by disabling -e (using the XSI extension "set +e") if it's set.
387am__sh_e_setup = case $$- in *e*) set +e;; esac
388# Default flags passed to test drivers.
389am__common_driver_flags = \
390  --color-tests "$$am__color_tests" \
391  --enable-hard-errors "$$am__enable_hard_errors" \
392  --expect-failure "$$am__expect_failure"
393# To be inserted before the command running the test.  Creates the
394# directory for the log if needed.  Stores in $dir the directory
395# containing $f, in $tst the test, in $log the log.  Executes the
396# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
397# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
398# will run the test scripts (or their associated LOG_COMPILER, if
399# thy have one).
400am__check_pre = \
401$(am__sh_e_setup);                                      \
402$(am__vpath_adj_setup) $(am__vpath_adj)                 \
403$(am__tty_colors);                                      \
404srcdir=$(srcdir); export srcdir;                        \
405case "$@" in                                            \
406  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
407    *) am__odir=.;;                                     \
408esac;                                                   \
409test "x$$am__odir" = x"." || test -d "$$am__odir"       \
410  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
411if test -f "./$$f"; then dir=./;                        \
412elif test -f "$$f"; then dir=;                          \
413else dir="$(srcdir)/"; fi;                              \
414tst=$$dir$$f; log='$@';                                 \
415if test -n '$(DISABLE_HARD_ERRORS)'; then               \
416  am__enable_hard_errors=no;                            \
417else                                                    \
418  am__enable_hard_errors=yes;                           \
419fi;                                                     \
420case " $(XFAIL_TESTS) " in                              \
421  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
422    am__expect_failure=yes;;                            \
423  *)                                                    \
424    am__expect_failure=no;;                             \
425esac;                                                   \
426$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
427# A shell command to get the names of the tests scripts with any registered
428# extension removed (i.e., equivalently, the names of the test logs, with
429# the '.log' extension removed).  The result is saved in the shell variable
430# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
431# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
432# since that might cause problem with VPATH rewrites for suffix-less tests.
433# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
434am__set_TESTS_bases = \
435  bases='$(TEST_LOGS)'; \
436  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
437  bases=`echo $$bases`
438RECHECK_LOGS = $(TEST_LOGS)
439AM_RECURSIVE_TARGETS = check recheck
440TEST_SUITE_LOG = test-suite.log
441TEST_EXTENSIONS =  .test
442am__test_logs1 = $(TESTS:=.log)
443am__test_logs2 = $(am__test_logs1:.log=.log)
444TEST_LOGS = $(am__test_logs2:.test.log=.log)
445TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
446TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
447        $(TEST_LOG_FLAGS)
448am__set_b = \
449  case '$@' in \
450    */*) \
451      case '$*' in \
452        */*) b='$*';; \
453          *) b=`echo '$@' | sed 's/\.log$$//'`; \
454       esac;; \
455    *) \
456      b='$*';; \
457  esac
458am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
459        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
460DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
461ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
462ADAPTATION_LIBS = adaptation/libadaptation.la
463ALLOCA =
464AMTAR = $${TAR-tar}
465AM_DEFAULT_VERBOSITY = 1
466AR = /usr/bin/ar
467AR_R = /usr/bin/ar r
468AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
469AUTH_MODULES =  basic digest negotiate ntlm
470AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
471AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
472AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
473AWK = gawk
474BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
475BUILDCXX = g++
476BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
477BZR =
478CACHE_EFFECTIVE_USER = proxy
479CC = gcc
480CCDEPMODE = depmode=none
481CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
482CGIEXT = .cgi
483CHMOD = /bin/chmod
484CPP = gcc -E
485CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
486CPPUNITCONFIG = /usr/bin/cppunit-config
487CRYPTLIB = -lcrypt
488CXX = g++
489CXXCPP = g++ -E
490CXXDEPMODE = depmode=none
491CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
492CYGPATH_W = echo
493DEFAULT_HOSTS = /etc/hosts
494DEFAULT_LOG_DIR = /var/log/squid-ssl
495DEFAULT_PID_FILE = /var/run/squid-ssl.pid
496DEFAULT_SWAP_DIR = /var/spool/squid-ssl
497DEFS = -DHAVE_CONFIG_H
498DEPDIR = .deps
499DIGEST_AUTH_HELPERS =  file LDAP
500DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
501DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
502DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
503DISK_OS_LIBS =  -lrt -lpthread
504DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
505DLLTOOL = false
506DSYMUTIL =
507DUMPBIN =
508ECAP_LIBS = ecap/libsquid-ecap.la
509ECHO_C =
510ECHO_N = -n
511ECHO_T =
512EGREP = /bin/egrep
513EPOLL_LIBS =
514EUILIB =
515EXEEXT =
516EXPATLIB = -lexpat
517EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
518EXT_LIBECAP_CFLAGS =
519EXT_LIBECAP_LIBS = -lecap
520FALSE = /bin/false
521FGREP = /bin/fgrep
522GREP = grep
523HAVE_CXX11 = 1
524ICAP_LIBS = icap/libicap.la
525INCLTDL =
526INSTALL = /usr/bin/install -c
527INSTALL_DATA = ${INSTALL} -m 644
528INSTALL_PROGRAM = ${INSTALL}
529INSTALL_SCRIPT = ${INSTALL}
530INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
531KRB5INCS = -isystem /usr/include/mit-krb5
532KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
533LBERLIB = -llber
534LD = /usr/bin/ld -m elf_x86_64
535LDAPLIB = -lldap
536LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
537LIBADD_DL = -ldl
538LIBADD_DLD_LINK =
539LIBADD_DLOPEN = -ldl
540LIBADD_SHL_LOAD =
541LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
542LIBGNUTLS_LIBS = -lgnutls
543LIBLTDL = -lltdl
544LIBOBJS =
545LIBOPENSSL_CFLAGS =
546LIBOPENSSL_LIBS = -lssl -lcrypto
547LIBS =
548LIBSASL = -lsasl2
549LIBTOOL = $(SHELL) $(top_builddir)/libtool
550LIB_DB = -ldb
551LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
552LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
553LINUXDOC = /bin/false
554LIPO =
555LN = /bin/ln
556LN_S = ln -s
557LOG_DAEMON_HELPERS =  DB file
558LTDLDEPS =
559LTDLINCL =
560LTDLOPEN = libltdl
561LTLIBOBJS =
562LT_ARGZ_H =
563LT_CONFIG_H = include/autoconf.h
564LT_DLLOADERS =  libltdl/dlopen.la
565LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
566LT_SYS_LIBRARY_PATH =
567MAINT = #
568MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
569MANIFEST_TOOL = :
570MINGW_LIBS =
571MKDIR = /bin/mkdir
572MKDIR_P = /bin/mkdir -p
573MV = /bin/mv
574NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
575NETTLELIB =  -lnettle
576NM = /usr/bin/nm -B
577NMEDIT =
578NTLM_AUTH_HELPERS =  fake smb_lm
579OBJDUMP = objdump
580OBJEXT = o
581OTOOL =
582OTOOL64 =
583PACKAGE = squid
584PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
585PACKAGE_NAME = Squid Web Proxy
586PACKAGE_STRING = Squid Web Proxy 3.5.12
587PACKAGE_TARNAME = squid
588PACKAGE_URL =
589PACKAGE_VERSION = 3.5.12
590PATH_SEPARATOR = :
591PERL = /usr/bin/perl
592PKG_CONFIG = /usr/bin/pkg-config
593PKG_CONFIG_LIBDIR =
594PKG_CONFIG_PATH =
595PO2HTML = off
596PO2TEXT = off
597POD2MAN = /usr/bin/pod2man
598RANLIB = ranlib
599REGEXLIB =
600REPL_LIBS = liblru.a libheap.a
601REPL_OBJS = repl/liblru.a repl/libheap.a
602REPL_POLICIES = lru heap
603RM = /bin/rm -f
604SED = /bin/sed
605SET_MAKE =
606SH = /bin/sh
607SHELL = /bin/bash
608SMBCLIENT = /usr/bin/smbclient
609SNMPLIB = ../lib/snmplib/libsnmplib.la
610SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
611SQUID_CPPUNIT_INC =
612SQUID_CPPUNIT_LA =
613SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
614SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
615SSLLIB =  -lssl -lcrypto  -lgnutls
616STOREID_REWRITE_HELPERS =  file
617STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
618STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
619STORE_TESTS =
620STRIP = strip
621TR = /usr/bin/tr
622TRUE = /bin/true
623URL_REWRITE_HELPERS =  fake
624VERSION = 3.5.12
625WBINFO =
626WIN32_PSAPI =
627XMLLIB = -lxml2
628XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
629XTRA_OBJS =
630abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/basic_auth/NIS
631abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/basic_auth/NIS
632abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
633abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
634ac_ct_AR =
635ac_ct_CC = gcc
636ac_ct_CXX = g++
637ac_ct_DUMPBIN =
638am__include = include
639am__leading_dot = .
640am__quote =
641am__tar = tar --format=ustar -chf - "$$tardir"
642am__untar = tar -xf -
643bindir = ${exec_prefix}/bin
644build = x86_64-pc-linux-gnu
645build_alias = x86_64-linux-gnu
646build_cpu = x86_64
647build_os = linux-gnu
648build_vendor = pc
649builddir = .
650datadir = /usr/share/squid-ssl
651datarootdir = ${prefix}/share
652docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
653dvidir = ${docdir}
654exec_prefix = ${prefix}
655host = x86_64-pc-linux-gnu
656host_alias =
657host_cpu = x86_64
658host_os = linux-gnu
659host_vendor = pc
660htmldir = ${docdir}
661includedir = ${prefix}/include
662infodir = ${prefix}/share/info
663install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
664krb5_config =
665libdir = ${exec_prefix}/lib
666libexecdir = /usr/lib/squid-ssl
667localedir = ${datarootdir}/locale
668localstatedir = /var
669ltdl_LIBOBJS =  lt__strl.o
670ltdl_LTLIBOBJS =  lt__strl.lo
671mandir = /usr/share/man
672mkdir_p = $(MKDIR_P)
673oldincludedir = /usr/include
674pdfdir = ${docdir}
675prefix = /usr
676program_transform_name = s&$$&-ssl&
677psdir = ${docdir}
678runstatedir = ${localstatedir}/run
679sbindir = ${exec_prefix}/sbin
680sharedstatedir = ${prefix}/com
681srcdir = .
682subdirs =  libltdl
683sys_symbol_underscore = no
684sysconfdir = /etc/squid-ssl
685target_alias =
686top_build_prefix = ../../../
687top_builddir = ../../..
688top_srcdir = ../../..
689AM_CFLAGS = $(SQUID_CFLAGS)
690AM_CXXFLAGS = $(SQUID_CXXFLAGS)
691CLEANFILES =
692AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
693        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
694        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
695        $(am__append_1) -I$(srcdir)
696LIBPROFILER =
697#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
698COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
699subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
700basic_nis_auth_SOURCES = \
701        basic_nis_auth.cc \
702        nis_support.h \
703        nis_support.cc
704
705basic_nis_auth_LDADD = \
706        $(top_builddir)/lib/libmiscencoding.la \
707        $(COMPAT_LIB) \
708        $(CRYPTLIB) \
709        $(XTRA_LIBS)
710
711EXTRA_DIST = required.m4
712all: all-am
713
714.SUFFIXES:
715.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
716$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
717        @for dep in $?; do \
718          case '$(am__configure_deps)' in \
719            *$$dep*) \
720              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
721                && { if test -f $@; then exit 0; else break; fi; }; \
722              exit 1;; \
723          esac; \
724        done; \
725        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/basic_auth/NIS/Makefile'; \
726        $(am__cd) $(top_srcdir) && \
727          $(AUTOMAKE) --gnu helpers/basic_auth/NIS/Makefile
728Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
729        @case '$?' in \
730          *config.status*) \
731            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
732          *) \
733            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
734            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
735        esac;
736$(top_srcdir)/src/Common.am $(am__empty):
737
738$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
739        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
740
741$(top_srcdir)/configure: # $(am__configure_deps)
742        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
743$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
744        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
745$(am__aclocal_m4_deps):
746
747clean-checkPROGRAMS:
748        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
749        echo " rm -f" $$list; \
750        rm -f $$list || exit $$?; \
751        test -n "$(EXEEXT)" || exit 0; \
752        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
753        echo " rm -f" $$list; \
754        rm -f $$list
755install-libexecPROGRAMS: $(libexec_PROGRAMS)
756        @$(NORMAL_INSTALL)
757        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
758        if test -n "$$list"; then \
759          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
760          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
761        fi; \
762        for p in $$list; do echo "$$p $$p"; done | \
763        sed 's/$(EXEEXT)$$//' | \
764        while read p p1; do if test -f $$p \
765         || test -f $$p1 \
766          ; then echo "$$p"; echo "$$p"; else :; fi; \
767        done | \
768        sed -e 'p;s,.*/,,;n;h' \
769            -e 's|.*|.|' \
770            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
771        sed 'N;N;N;s,\n, ,g' | \
772        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
773          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
774            if ($$2 == $$4) files[d] = files[d] " " $$1; \
775            else { print "f", $$3 "/" $$4, $$1; } } \
776          END { for (d in files) print "f", d, files[d] }' | \
777        while read type dir files; do \
778            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
779            test -z "$$files" || { \
780            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
781            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
782            } \
783        ; done
784
785uninstall-libexecPROGRAMS:
786        @$(NORMAL_UNINSTALL)
787        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
788        files=`for p in $$list; do echo "$$p"; done | \
789          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
790              -e 's/$$/$(EXEEXT)/' \
791        `; \
792        test -n "$$list" || exit 0; \
793        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
794        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
795
796clean-libexecPROGRAMS:
797        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
798        echo " rm -f" $$list; \
799        rm -f $$list || exit $$?; \
800        test -n "$(EXEEXT)" || exit 0; \
801        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
802        echo " rm -f" $$list; \
803        rm -f $$list
804
805basic_nis_auth$(EXEEXT): $(basic_nis_auth_OBJECTS) $(basic_nis_auth_DEPENDENCIES) $(EXTRA_basic_nis_auth_DEPENDENCIES) 
806        @rm -f basic_nis_auth$(EXEEXT)
807        $(AM_V_CXXLD)$(CXXLINK) $(basic_nis_auth_OBJECTS) $(basic_nis_auth_LDADD) $(LIBS)
808
809mostlyclean-compile:
810        -rm -f *.$(OBJEXT)
811
812distclean-compile:
813        -rm -f *.tab.c
814
815#include ./$(DEPDIR)/basic_nis_auth.Po
816#include ./$(DEPDIR)/nis_support.Po
817
818.cc.o:
819#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
820#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
821#       $(am__mv) $$depbase.Tpo $$depbase.Po
822#       $(AM_V_CXX)source='$<' object='$@' libtool=no
823#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
824        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
825
826.cc.obj:
827#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
828#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
829#       $(am__mv) $$depbase.Tpo $$depbase.Po
830#       $(AM_V_CXX)source='$<' object='$@' libtool=no
831#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
832        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
833
834.cc.lo:
835#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
836#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
837#       $(am__mv) $$depbase.Tpo $$depbase.Plo
838#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
839#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
840        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
841
842mostlyclean-libtool:
843        -rm -f *.lo
844
845clean-libtool:
846        -rm -rf .libs _libs
847
848ID: $(am__tagged_files)
849        $(am__define_uniq_tagged_files); mkid -fID $$unique
850tags: tags-am
851TAGS: tags
852
853tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
854        set x; \
855        here=`pwd`; \
856        $(am__define_uniq_tagged_files); \
857        shift; \
858        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
859          test -n "$$unique" || unique=$$empty_fix; \
860          if test $$# -gt 0; then \
861            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
862              "$$@" $$unique; \
863          else \
864            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
865              $$unique; \
866          fi; \
867        fi
868ctags: ctags-am
869
870CTAGS: ctags
871ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
872        $(am__define_uniq_tagged_files); \
873        test -z "$(CTAGS_ARGS)$$unique" \
874          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
875             $$unique
876
877GTAGS:
878        here=`$(am__cd) $(top_builddir) && pwd` \
879          && $(am__cd) $(top_srcdir) \
880          && gtags -i $(GTAGS_ARGS) "$$here"
881cscopelist: cscopelist-am
882
883cscopelist-am: $(am__tagged_files)
884        list='$(am__tagged_files)'; \
885        case "$(srcdir)" in \
886          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
887          *) sdir=$(subdir)/$(srcdir) ;; \
888        esac; \
889        for i in $$list; do \
890          if test -f "$$i"; then \
891            echo "$(subdir)/$$i"; \
892          else \
893            echo "$$sdir/$$i"; \
894          fi; \
895        done >> $(top_builddir)/cscope.files
896
897distclean-tags:
898        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
899
900# Recover from deleted '.trs' file; this should ensure that
901# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
902# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
903# to avoid problems with "make -n".
904.log.trs:
905        rm -f $< $@
906        $(MAKE) $(AM_MAKEFLAGS) $<
907
908# Leading 'am--fnord' is there to ensure the list of targets does not
909# expand to empty, as could happen e.g. with make check TESTS=''.
910am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
911am--force-recheck:
912        @:
913
914$(TEST_SUITE_LOG): $(TEST_LOGS)
915        @$(am__set_TESTS_bases); \
916        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
917        redo_bases=`for i in $$bases; do \
918                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
919                    done`; \
920        if test -n "$$redo_bases"; then \
921          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
922          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
923          if $(am__make_dryrun); then :; else \
924            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
925          fi; \
926        fi; \
927        if test -n "$$am__remaking_logs"; then \
928          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
929               "recursion detected" >&2; \
930        elif test -n "$$redo_logs"; then \
931          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
932        fi; \
933        if $(am__make_dryrun); then :; else \
934          st=0;  \
935          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
936          for i in $$redo_bases; do \
937            test -f $$i.trs && test -r $$i.trs \
938              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
939            test -f $$i.log && test -r $$i.log \
940              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
941          done; \
942          test $$st -eq 0 || exit 1; \
943        fi
944        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
945        ws='[   ]'; \
946        results=`for b in $$bases; do echo $$b.trs; done`; \
947        test -n "$$results" || results=/dev/null; \
948        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
949        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
950        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
951        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
952        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
953        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
954        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
955        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
956          success=true; \
957        else \
958          success=false; \
959        fi; \
960        br='==================='; br=$$br$$br$$br$$br; \
961        result_count () \
962        { \
963            if test x"$$1" = x"--maybe-color"; then \
964              maybe_colorize=yes; \
965            elif test x"$$1" = x"--no-color"; then \
966              maybe_colorize=no; \
967            else \
968              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
969            fi; \
970            shift; \
971            desc=$$1 count=$$2; \
972            if test $$maybe_colorize = yes && test $$count -gt 0; then \
973              color_start=$$3 color_end=$$std; \
974            else \
975              color_start= color_end=; \
976            fi; \
977            echo "$${color_start}# $$desc $$count$${color_end}"; \
978        }; \
979        create_testsuite_report () \
980        { \
981          result_count $$1 "TOTAL:" $$all   "$$brg"; \
982          result_count $$1 "PASS: " $$pass  "$$grn"; \
983          result_count $$1 "SKIP: " $$skip  "$$blu"; \
984          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
985          result_count $$1 "FAIL: " $$fail  "$$red"; \
986          result_count $$1 "XPASS:" $$xpass "$$red"; \
987          result_count $$1 "ERROR:" $$error "$$mgn"; \
988        }; \
989        {                                                               \
990          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
991            $(am__rst_title);                                           \
992          create_testsuite_report --no-color;                           \
993          echo;                                                         \
994          echo ".. contents:: :depth: 2";                               \
995          echo;                                                         \
996          for b in $$bases; do echo $$b; done                           \
997            | $(am__create_global_log);                                 \
998        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
999        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1000        if $$success; then                                              \
1001          col="$$grn";                                                  \
1002         else                                                           \
1003          col="$$red";                                                  \
1004          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1005        fi;                                                             \
1006        echo "$${col}$$br$${std}";                                      \
1007        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1008        echo "$${col}$$br$${std}";                                      \
1009        create_testsuite_report --maybe-color;                          \
1010        echo "$$col$$br$$std";                                          \
1011        if $$success; then :; else                                      \
1012          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1013          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1014            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1015          fi;                                                           \
1016          echo "$$col$$br$$std";                                        \
1017        fi;                                                             \
1018        $$success || exit 1
1019
1020check-TESTS:
1021        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1022        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1023        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1024        @set +e; $(am__set_TESTS_bases); \
1025        log_list=`for i in $$bases; do echo $$i.log; done`; \
1026        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1027        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1028        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1029        exit $$?;
1030recheck: all $(check_PROGRAMS)
1031        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1032        @set +e; $(am__set_TESTS_bases); \
1033        bases=`for i in $$bases; do echo $$i; done \
1034                 | $(am__list_recheck_tests)` || exit 1; \
1035        log_list=`for i in $$bases; do echo $$i.log; done`; \
1036        log_list=`echo $$log_list`; \
1037        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1038                am__force_recheck=am--force-recheck \
1039                TEST_LOGS="$$log_list"; \
1040        exit $$?
1041.test.log:
1042        @p='$<'; \
1043        $(am__set_b); \
1044        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1045        --log-file $$b.log --trs-file $$b.trs \
1046        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1047        "$$tst" $(AM_TESTS_FD_REDIRECT)
1048#.test$(EXEEXT).log:
1049#       @p='$<'; \
1050#       $(am__set_b); \
1051#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1052#       --log-file $$b.log --trs-file $$b.trs \
1053#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1054#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1055
1056distdir: $(DISTFILES)
1057        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1058        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1059        list='$(DISTFILES)'; \
1060          dist_files=`for file in $$list; do echo $$file; done | \
1061          sed -e "s|^$$srcdirstrip/||;t" \
1062              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1063        case $$dist_files in \
1064          */*) $(MKDIR_P) `echo "$$dist_files" | \
1065                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1066                           sort -u` ;; \
1067        esac; \
1068        for file in $$dist_files; do \
1069          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1070          if test -d $$d/$$file; then \
1071            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1072            if test -d "$(distdir)/$$file"; then \
1073              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1074            fi; \
1075            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1076              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1077              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1078            fi; \
1079            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1080          else \
1081            test -f "$(distdir)/$$file" \
1082            || cp -p $$d/$$file "$(distdir)/$$file" \
1083            || exit 1; \
1084          fi; \
1085        done
1086check-am: all-am
1087        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1088        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1089check: check-am
1090all-am: Makefile $(PROGRAMS)
1091installdirs:
1092        for dir in "$(DESTDIR)$(libexecdir)"; do \
1093          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1094        done
1095install: install-am
1096install-exec: install-exec-am
1097install-data: install-data-am
1098uninstall: uninstall-am
1099
1100install-am: all-am
1101        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1102
1103installcheck: installcheck-am
1104install-strip:
1105        if test -z '$(STRIP)'; then \
1106          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1107            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1108              install; \
1109        else \
1110          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1111            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1112            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1113        fi
1114mostlyclean-generic:
1115        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1116        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1117        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1118
1119clean-generic:
1120        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1121
1122distclean-generic:
1123        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1124        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1125
1126maintainer-clean-generic:
1127        @echo "This command is intended for maintainers to use"
1128        @echo "it deletes files that may require special tools to rebuild."
1129clean: clean-am
1130
1131clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1132        clean-libtool mostlyclean-am
1133
1134distclean: distclean-am
1135        -rm -rf ./$(DEPDIR)
1136        -rm -f Makefile
1137distclean-am: clean-am distclean-compile distclean-generic \
1138        distclean-tags
1139
1140dvi: dvi-am
1141
1142dvi-am:
1143
1144html: html-am
1145
1146html-am:
1147
1148info: info-am
1149
1150info-am:
1151
1152install-data-am:
1153
1154install-dvi: install-dvi-am
1155
1156install-dvi-am:
1157
1158install-exec-am: install-libexecPROGRAMS
1159
1160install-html: install-html-am
1161
1162install-html-am:
1163
1164install-info: install-info-am
1165
1166install-info-am:
1167
1168install-man:
1169
1170install-pdf: install-pdf-am
1171
1172install-pdf-am:
1173
1174install-ps: install-ps-am
1175
1176install-ps-am:
1177
1178installcheck-am:
1179
1180maintainer-clean: maintainer-clean-am
1181        -rm -rf ./$(DEPDIR)
1182        -rm -f Makefile
1183maintainer-clean-am: distclean-am maintainer-clean-generic
1184
1185mostlyclean: mostlyclean-am
1186
1187mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1188        mostlyclean-libtool
1189
1190pdf: pdf-am
1191
1192pdf-am:
1193
1194ps: ps-am
1195
1196ps-am:
1197
1198uninstall-am: uninstall-libexecPROGRAMS
1199
1200.MAKE: check-am install-am install-strip
1201
1202.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1203        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1204        clean-libtool cscopelist-am ctags ctags-am distclean \
1205        distclean-compile distclean-generic distclean-libtool \
1206        distclean-tags distdir dvi dvi-am html html-am info info-am \
1207        install install-am install-data install-data-am install-dvi \
1208        install-dvi-am install-exec install-exec-am install-html \
1209        install-html-am install-info install-info-am \
1210        install-libexecPROGRAMS install-man install-pdf install-pdf-am \
1211        install-ps install-ps-am install-strip installcheck \
1212        installcheck-am installdirs maintainer-clean \
1213        maintainer-clean-generic mostlyclean mostlyclean-compile \
1214        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1215        recheck tags tags-am uninstall uninstall-am \
1216        uninstall-libexecPROGRAMS
1217
1218.PRECIOUS: Makefile
1219
1220
1221$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1222
1223# Tell versions [3.59,3.63) of GNU make to not export all variables.
1224# Otherwise a system limit (for SysV at least) may be exceeded.
1225.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.